curl --request GET \
--url https://api.aisa.one/apis/v1/search/full \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/search/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/search/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/search/full",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/search/full"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/search/full")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/search/full")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"queryContext": {
"originalQuery": "<string>"
},
"webPages": {
"value": [
{
"content": "<string>",
"datePublished": "2023-11-07T05:31:56Z",
"displayUrl": "<string>",
"logo": "<string>",
"name": "<string>",
"siteName": "<string>",
"snippet": "<string>",
"url": "<string>"
}
]
}
}Perform Full Text Search
curl --request GET \
--url https://api.aisa.one/apis/v1/search/full \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/search/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/search/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/search/full",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/search/full"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/search/full")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/search/full")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"queryContext": {
"originalQuery": "<string>"
},
"webPages": {
"value": [
{
"content": "<string>",
"datePublished": "2023-11-07T05:31:56Z",
"displayUrl": "<string>",
"logo": "<string>",
"name": "<string>",
"siteName": "<string>",
"snippet": "<string>",
"url": "<string>"
}
]
}
}Request contract
- Method and path: GET /apis/v1/search/full
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/search/full - cc: query; optional
- contentType: query; optional
- count: query; optional
- freshness: query; optional
- mkt: query; optional
- offset: query; optional
- q: query; required
- safeSearch: query; optional
- setLang: query; optional
- textDecorations: query; optional
- Runtime facts: 2d91cc2e3cdc5e843b48489e7c1ef47a0cf03ed51d5ab6cc38ec8ea5a9711c3e
{
"operationId": "any_search_apis_v1_search_full",
"method": "GET",
"path": "/apis/v1/search/full",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "Atwo-character country code indicating the country from which the resultoriginated.",
"in": "query",
"name": "cc",
"required": false,
"schema": {
"maxLength": 2,
"type": "string"
}
},
{
"description": "Enumeration value that affects the format of the full text contentreturned",
"in": "query",
"name": "contentType",
"required": false,
"schema": {
"enum": [
"HTML",
"MARKDOWN"
],
"type": "string"
}
},
{
"description": "Number of search results included in the return results",
"in": "query",
"name": "count",
"required": false,
"schema": {
"type": "integer"
}
},
{
"description": "Filter search results by time values: Day, Week, Month. To get articleswithin a specific time range, specify a date range in the formatYYYY-MM-DD..YYYY-MM-DD. For example, 2019-02-01..2019-05-30.",
"in": "query",
"name": "freshness",
"required": false,
"schema": {
"type": "string"
}
},
{
"description": "Themarket from which the results come. Usually, mkt is the country where the usermade the request. The market must be in the language-country format. Forexample, en-US. The string is case-insensitive.",
"in": "query",
"name": "mkt",
"required": false,
"schema": {
"type": "string"
}
},
{
"description": "Theoffset from zero, indicating the number of search results to skip beforereturning results. The default value is 0. Use this parameter with the countparameter to paginate the results.",
"in": "query",
"name": "offset",
"required": false,
"schema": {
"default": 0,
"format": "int16",
"type": "integer"
}
},
{
"description": "Theuser's search query. This string cannot be empty. The query can containadvanced operators.",
"in": "query",
"name": "q",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Usedto filter adult content in web pages, images, and videos.",
"in": "query",
"name": "safeSearch",
"required": false,
"schema": {
"enum": [
"Off",
"Moderate",
"Strict"
],
"type": "string"
}
},
{
"description": "Thelanguage for User Interface strings. You can use a 2-letter or 4-letter code tospecify the language. A 4-letter code is recommended in the form language-country,where language is an ISO 639-1 language code and country is an ISO 3166country/region code. For example, use en-US for US English.",
"in": "query",
"name": "setLang",
"required": false,
"schema": {
"type": "string"
}
},
{
"description": "Aboolean value that determines whether the display string in the result shouldcontain decoration markers (such as hit highlighting characters). If true, thestring may contain markers. The default value is false.",
"in": "query",
"name": "textDecorations",
"required": false,
"schema": {
"default": false,
"type": "boolean"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.001,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.001
- Cost contract: fixed_success
- Published reference multiplier: 1.0
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Atwo-character country code indicating the country from which the resultoriginated.
2Enumeration value that affects the format of the full text contentreturned
HTML, MARKDOWN Number of search results included in the return results
Filter search results by time values: Day, Week, Month. To get articleswithin a specific time range, specify a date range in the formatYYYY-MM-DD..YYYY-MM-DD. For example, 2019-02-01..2019-05-30.
Themarket from which the results come. Usually, mkt is the country where the usermade the request. The market must be in the language-country format. Forexample, en-US. The string is case-insensitive.
Theoffset from zero, indicating the number of search results to skip beforereturning results. The default value is 0. Use this parameter with the countparameter to paginate the results.
Theuser's search query. This string cannot be empty. The query can containadvanced operators.
Usedto filter adult content in web pages, images, and videos.
Off, Moderate, Strict Thelanguage for User Interface strings. You can use a 2-letter or 4-letter code tospecify the language. A 4-letter code is recommended in the form language-country,where language is an ISO 639-1 language code and country is an ISO 3166country/region code. For example, use en-US for US English.
Aboolean value that determines whether the display string in the result shouldcontain decoration markers (such as hit highlighting characters). If true, thestring may contain markers. The default value is false.